Check sync status of bank accounts

Check the synchronization status of bank accounts for an entity, including real-time transaction progress

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringRequired
The ID of the entity to check sync status for

Response

Sync status retrieved successfully
accountslist of objects
allSyncedboolean
Whether all accounts have completed synchronization
summaryobject
Summary of sync status across all accounts
transactionProgressobject

Overall transaction-level progress across all accounts

timestampstringformat: "date-time"
Timestamp when the sync status was checked
messagestring
Optional message, present when no accounts are found

Errors

400
Bad Request Error
500
Internal Server Error